# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later

import click
from clapper.click import AliasedGroup

from . import (
    # analyze,
    # compare,
    config,
    database,
    # evaluate,
    # experiment,
    # mkmask,
    # predict,
    # significance,
    train,
)


@click.group(
    cls=AliasedGroup,
    context_settings=dict(help_option_names=["-?", "-h", "--help"]),
)
def segmentation():
    """Binary Segmentation Benchmark."""
    pass


# segmentation.add_command(analyze.analyze)
# segmentation.add_command(compare.compare)
segmentation.add_command(config.config)
segmentation.add_command(database.database)
# segmentation.add_command(evaluate.evaluate)
# segmentation.add_command(experiment.experiment)
# segmentation.add_command(mkmask.mkmask)
# segmentation.add_command(predict.predict)
# segmentation.add_command(significance.significance)
segmentation.add_command(train.train)
# segmentation.add_command(train_analysis.train_analysis)
